<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\People\Filter\UserFilter;
use Claromentis\People\PeopleAcl;
use Claromentis\People\Repository\UserRepository;
class GetUsers
{
    
    
    
    
    protected $acl;
    
    
    
    
    protected $repo;
    public function __construct(PeopleAcl $acl, UserRepository $repo)
    {
        $this->acl = $acl;
        $this->repo = $repo;
    }
    public function GetUsers(UserFilter $_03e9164d0a343b742df4793268b80767) : array
    {
        $_03e9164d0a343b742df4793268b80767->SetPeopleAcl($this->acl);
        $_e4543e131c67c631b14751cc849d1310 = $this->repo->search($_03e9164d0a343b742df4793268b80767);
        $total = $this->repo->countSearchTotal($_03e9164d0a343b742df4793268b80767);
        return [$_e4543e131c67c631b14751cc849d1310, $total];
    }
}